(function() {
    
    /* ----- Variables ----- */
    var dataAdapter = new MemoryAdapter();
    dataAdapter.initialize().done( function() {
        renderHomeView();
    });
    
    
    
    /* ----- Function ----- */
    function findByTitle() {
        dataAdapter.findByTitle( $('.search-key').val() ).done( function( storyies ) {
            var i,
                s,
                len = storyies.length;
            
            $('.story-list').empty();
            for ( i = 0; i < len; i ++ ) {
                s = storyies[i];
                $('.story-list').append('<li><a href="#stories/' + s.id + '">' + s.title + '</a></li>');
            }
        }); 
    }
    
    
    function showAlert( message, title ) {
        if ( navigator.notification ) {
            navigator.notification.alert( message, null, title, 'OK' );
        }
        else {
            alert( title ? ( title + ": " + message ) : message );
        }
    }
    
    
    function renderHomeView() {
        var html = ''
            + '<section id="main">'
            + '<header>'
            + '<h1>こころポートレート</h1>'
            + '</header>'
            + '<nav>'
            + '<div class="search-view">'
            + '<input class="search-key" type="search" placeholder="Enter Tags" />'
            + '<ul class="list story-list"></ul>'
            + '</div> '
            + '</nav>'
            + '</section>';
        
        $('body').html( html );
        $('.search-key').on('keyup', findByTitle );
    }
    
    renderHomeView();
    
})();